<bugID>1194874<Summary>Maybe switch "run by" text to "owned by" for EV certificates in the Control Center</Summary><Description>In Bug 1191044 we removed the 'Firefox verified that' portion of the text about EV certificates.  There was a suggestion that 'run by' should switch to 'owned by' also.  Moving that discussion into this bug.

(April King from comment #10)
&gt; That text works for me, although I would note that it's more accurate to say
&gt; "owned by" than it is to say "run by", since most sites are not run by the
&gt; person who owns them.</Description></bugID>